{ pkgs, ... }:

{
  programs.lazygit = {
    enable = true;
    settings = {
      services = {
        "gitea.xeovalyte.dev" = "gitea:gitea.xeovalyte.dev";
      };
    };
  };

  programs.git = {
    enable = true;
    userEmail = "me+gitea@xeovalyte.dev";
    userName = "xeovalyte";
    extraConfig = {
      commit.gpgsign = true;
      gpg.format = "ssh";
      user.signingkey = "~/.ssh/gitea.pub";
    };
  };
}
